org.flexdock.docking.drag

## Class DragPipeline

- java.lang.Object
- - org.flexdock.docking.drag.DragPipeline

    public class DragPipeline
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DragPipeline()`

### Method Summary

Methods
`void` `close()`
`DragOperation` `getDragToken()`
`boolean` `isOpen()`
`void` `open(DragOperation token)`
`void` `processDragEvent(java.awt.event.MouseEvent me)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DragPipeline

    public DragPipeline()

### Method Detail

#### isOpen

    public boolean isOpen()

#### open

    public void open(DragOperation token)

#### close

    public void close()

#### processDragEvent

    public void processDragEvent(java.awt.event.MouseEvent me)

#### getDragToken

    public DragOperation getDragToken()